import "Turbine"
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";
import "JackdawPlugins.WardenIndicator.Function"
import "JackdawPlugins.WardenIndicator.Data"
import "JackdawPlugins.WardenIndicator.Options"

import "Deusdictum.UI.Dragbar" -- I *love* this plugin!

Player = Turbine.Gameplay.LocalPlayer.GetInstance()
PlayerAttributes=Player:GetClassAttributes()

indi=false --Little graphical indicator of the stats of the gambit. Hidden extra for now.

--Concept; After pressing the initial gambit key, an indicator pops up with suggestions under each major category of gambit skill.

--Many thanks to DeusDictum and the author of http://lorebook.lotro.com/wiki/Warden:_Gambits_Sorted_By_Effect where the tables come from!

--[[Unavoidable Issues; 
		Shows Gambits I do not know, but am the right level for.
		Mouse visibility may be an issue when targeting as a tank; so all frames are mouse-invisible, except... the ability icon *is* mouse visible as otherwise - no tooltips!
		I only have a level 23 Warden and so can't test the high level abilities. Well, not an unavoidable issue, but give me time to level!
		
	Recent Updates:
		Set to show as soon as you enter combat, also set to reset when  you leave combat.
		
	ToDo:

		Sort out the window position bug - perhaps with a fixed window instead of floating.
		
	NOTE:
		We have a window, with a listbox. This listbox contains the labels and then sub-listboxes to hold the gambits. The reason there is not just one big listbox is that otherwise the text width messes up.
	]]--

--Load data
WardenData=Turbine.PluginData.Load( Turbine.DataScope.Character, "WardenIndicator" );
if WardenData==nil then
	WardenData={x=200,y=200,minsize=1,reverse=true,IconSize=32,showOOC=true,maxheight=800,fix=true}
	Turbine.Shell.WriteLine("Welcome to Warden Indicator, Sir! Type /WI for options, Sir!")
end

--If the table for which gambits to show does not exist, then set it to the defaults - all shown.
if WardenData.showgambit==nil then defaultshow() end
if WardenData.maxheight==nil then WardenData.maxheight=800 end

height=WardenData.maxheight/2 --Default Height is half of the maximum height - seems sensible.

IconSize=WardenData.IconSize

--Reset the gambit table.
LoadRawList()
ResetGambits()

--Create all the frames and lets go!
CreateFrames()

--Register to save on Unload

if ( Plugins ["WardenIndicator"] ~= nil ) then
	Plugins["WardenIndicator"].Unload = function( sender, args )
		Save()
		Turbine.Shell.WriteLine("All Warden Indicator data saved, Sir! Many thanks for your kind attention.")
	end
end

--Register to save on UI lock.
MakeWatcher()